T-Mobile will reportedly dump some phones from its network — and even sooner than AT&T

T-Mobile will reportedly dump some phones from its network

0 3

Get real time updates directly on you device, subscribe now.

Remember when AT&T told customers their phones would stop working and encouraged them to buy new ones during a pandemic? T-Mobile is reportedly going to be sending out some messages like that too, but it seems like the company could be going about it a little differently (and hopefully less aggressively) than AT&T, according to an apparent internal document from T-Mobile shared by Android Police.

T-Mobile will reportedly require phones on its network to support voice over LTE (VoLTE) starting in January 2021. That means if your phone doesn’t currently support VoLTE, you’ll need to upgrade if you want to be able to keep making calls with that phone on T-Mobile. And T-Mobile is apparently so intent on phasing out older technologies that it’ll reportedly stop activating new devices that don’t support VoLTE on August 4th, which is just a couple weeks away.

Here’s the document Android Police shared, if you’d like to look for yourself:

When we asked, T-Mobile didn’t confirm the timeline laid out in the document, but did share some details that line up:

[…]we will be phasing out some older technologies over time to free up even more capacity for LTE and 5G. In preparation for that and to give customers the best experience, those activating new lines at T-Mobile will need a VoLTE capable device, which is all we’ve offered for years now and represents the overwhelming majority of devices on the network.

Basically, what T-Mobile seems to be saying is that unless you haven’t upgraded your phone for a very long time, you probably won’t run into issues once VoLTE is required.

When it comes time for T-Mobile to tell some customers that they need to upgrade, hopefully the company learns from AT&T’s mistakes. Yesterday, AT&T scared some customers by sending them an email with the big, blue, bold, all-caps heading “UPDATE NEEDED,” informing them that their phone is “not compatible with the new network,” and that they’ll need to replace it to keep getting service. (Some customers felt the email was so egregious that they believed it was a scam.)

What AT&T neglected to make clear, though, is that those customers won’t actually need to upgrade their phone until early 2022 — that’s when AT&T plans to shut down its 3G network and when some devices will actually stop working. Let’s hope T-Mobile is clearer about what customers need to do and when they need to do it.

Verizon is also in the process of shutting down its 3G network, and said last year it would be delaying that shutdown to the end of 2020. As of 2018, it no longer activates phones that don’t support LTE.

Get real time updates directly on you device, subscribe now.

Leave A Reply

Your email address will not be published.

This website uses cookies to improve your experience. We'll assume you're ok with this, but you can opt-out if you wish. Accept Read More

Privacy & Cookies Policy